declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly src: {
        readonly type: import("vue").PropType<string>;
        readonly required: true;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly poster: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly autoplay: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loop: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly preload: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, string, unknown, "auto", boolean>;
    readonly muted: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly controls: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly width: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "100%", boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "auto", boolean>;
    readonly format: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, string, unknown, "MP4", boolean>;
}>, {
    attrs: import("vue").Attrs;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly src: {
            readonly type: import("vue").PropType<string>;
            readonly required: true;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly poster: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly autoplay: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly loop: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly preload: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, string, unknown, "auto", boolean>;
        readonly muted: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly controls: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly width: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "100%", boolean>;
        readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "auto", boolean>;
        readonly format: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, string, unknown, "MP4", boolean>;
    }>> & Readonly<{}> & {}>;
    videoElement: import("vue").Ref<HTMLVideoElement, HTMLVideoElement>;
    videoTypeMap: {
        MP4: string;
        WebM: string;
        OGG: string;
        MOV: string;
        AVI: string;
        WMV: string;
        FLV: string;
        MKV: string;
    };
    getType: (format: string) => any;
    tryAutoplay: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly src: {
        readonly type: import("vue").PropType<string>;
        readonly required: true;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly poster: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly autoplay: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loop: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly preload: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, string, unknown, "auto", boolean>;
    readonly muted: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly controls: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly width: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "100%", boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "auto", boolean>;
    readonly format: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, string, unknown, "MP4", boolean>;
}>> & Readonly<{}>, {
    readonly width: import("ll-plus/es/utils").EpPropMergeType<readonly [StringConstructor, NumberConstructor], unknown, unknown>;
    readonly height: import("ll-plus/es/utils").EpPropMergeType<readonly [StringConstructor, NumberConstructor], unknown, unknown>;
    readonly format: string;
    readonly autoplay: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly controls: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly muted: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly loop: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly preload: string;
    readonly poster: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
